/*
 * This file is generated by jOOQ.
*/
package cc.cinnamon.canary.users.model.tables.interfaces


import javax.annotation.Generated
import javax.validation.constraints.NotNull
import java.io.Serializable


/**
 * This class is generated by jOOQ.
 */
@Generated(value = *arrayOf("http://www.jooq.org", "jOOQ version:3.9.1", "schema version:public_4"), date = "2017-02-20T21:56:50.783Z", comments = "This class is generated by jOOQ")
interface IUsersRoles : Serializable {

    /**
     * Getter for `public.users_roles.id`.
     */
    /**
     * Setter for `public.users_roles.id`.
     */
    var id: Long?

    /**
     * Getter for `public.users_roles.user_id`.
     */
    /**
     * Setter for `public.users_roles.user_id`.
     */
    @get:NotNull
    var userId: Long?

    /**
     * Getter for `public.users_roles.role_id`.
     */
    /**
     * Setter for `public.users_roles.role_id`.
     */
    @get:NotNull
    var roleId: Long?

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IUsersRoles
     */
    fun from(from: IUsersRoles)

    /**
     * Copy data into another generated Record/POJO implementing the common interface IUsersRoles
     */
    fun <E : IUsersRoles> into(into: E): E
}
